package ru.bitel.bgbilling.cashcheck;

import java.sql.Connection;
import java.util.Set;

import ru.bitel.bgbilling.common.BGException;
import ru.bitel.bgbilling.plugins.cashcheck.common.Payment;
import ru.bitel.bgbilling.plugins.cashcheck.common.Printer;
import ru.bitel.bgbilling.plugins.cashcheck.server.CheckMaker;
import ru.bitel.bgbilling.plugins.cashcheck.server.bean.Check;
import ru.bitel.bgbilling.server.util.Setup;

/**
 * Какой-то простой формат чека для типичного ККМ. 
 * @author dimon
 */
public class SimpleCheck
	extends CheckMaker
{
	@Override
	public void init( Setup setup, Connection con, Connection conSlave )
		throws BGException
	{
	}
	
	@Override
	public void addPayment( Payment payment, Check check, Printer printer )
		throws BGException
	{
		check.addPayment( payment.getSumma(), payment.getContractTitle(), 0 );
		check.addString( payment.getContractComment() );
	}

	@Override
	public void endCreate( Set<Integer> cids, Check check, Printer printer )
		throws BGException
	{
		check.addString( "Приходите ещё!" );
		// check.setTax(1);
		// check.setPaymentType(1);
		// check.setCustomerEmail("test@test");
	}

	@Override
	public void addPaymentRefund( Payment payment, Check check, Printer printer )
		throws BGException
	{
		check.addPayment( payment.getSumma(), payment.getContractTitle(), 0 );
	}

	@Override
	public void endCreateRefund( int cid, Check check, Printer printer )
		throws BGException
	{
		// check.setTax(1);
		// check.setPaymentType(1);
		// check.setCustomerEmail("test@test");
	}
	
	@Override
	public void addPaymentAuto(Payment payment, Check check, Printer printer)
		throws BGException
	{
		// обработка автопечатаемых платежей
		check.addPayment( payment.getSumma(), payment.getContractTitle(), 0 );
		// check.setTax(1);
		// check.setPaymentType(1);
		// check.setCustomerEmail("test@test");
	}
}
